<?php

//Definiern der Systempfade
define("PROJ_DOC_ROOT",dirname(__FILE__));
define("PROJ_TEMPLATES_ROOT",PROJ_DOC_ROOT . "/_templates");
define("PROJ_INCLUDE_ROOT",PROJ_DOC_ROOT . "/_include");
define("PROJ_DATA_ROOT",PROJ_DOC_ROOT . "/_data");

//Projektname
$project = str_replace($_SERVER['DOCUMENT_ROOT'], "", str_replace("\\", "/",dirname(__FILE__)));

//Protokoll der Verbindung (HTTP oder HTTPS)
(!isset($_SERVER['HTTPS']) OR $_SERVER['HTTPS']=='off') ? $protocol = "http://" : $protocol = "https://";

//Projektpfad (für HTML)
define("PROJ_HTTP_ROOT", $protocol . $_SERVER['HTTP_HOST'] . $project);

?>
